DECLARE SUB Stats ()
DECLARE SUB Street2 ()
DECLARE SUB Street7 ()
DECLARE SUB Street5 ()
DECLARE SUB CannotDo ()
DECLARE SUB CannotGo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'

SUB Street4

RestoreRoom = 23
Room:
  CLS
  PRINT "Tall buildings of glass and brick tower overhead.  Large billboards advertise"
  PRINT "the latest in technology, compliments of the Yashimatsu Corporation."
  PRINT "The shadowed streets lead to the north, the east, and to the south."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN Street2
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN Street7
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN Street5
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN CannotGo: GOTO Command
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "READ SIGN" OR a$ = "READ BILLBOARD" OR a$ = "LOOK SIGN" OR a$ = "LOOK BILLBOARD" THEN PRINT "Yashimatsu is advertising a new pleasure VR system.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  PRINT "You find the usual filth in the clogged gutters, but nothing of interest."
  GOTO Command

END SUB

